-- ABS-5747
-----------------------TRANSACTIONTYPE-------------------------

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 700,
         'Created new',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 701,
         'Modify',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 702,
         'Conversion',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 703,
         'Approved',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 704,
         'Contract termination',
         getminsystemuser(),
         sysdate
    from dual;
commit;


insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 705,
         'Contract extension',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 706,
         'Contract renewal',
         getminsystemuser(),
         sysdate
    from dual;
commit;

insert into transactiontype
  (transactiontype_id, factorydescription, systemuser_id, timestamp)
  select 707,
         'Price update',
         getminsystemuser(),
         sysdate
    from dual;
commit;